
const initialItems = [
  { id: 1, description: "Passports", quantity: 2, packed: false },
  { id: 2, description: "Socks", quantity: 12, packed: false },
  { id: 3, description: "Charger", quantity: 1, packed: false },
  { id: 4, description: "Boarding Pass", quantity: 5, packed: false },
];


function App() {
  return (
    <div className="app">
      
      <Logo />
      <Form />
      <PackagingList />
      <Stats />
    </div>
  );
}


function Logo(){
  return <h1>🏝️ Travel Guide App 🧳  </h1>;
}

function Form(){
  return <div className="add-form"><h3>What Do you need for your 😂 Trip</h3></div>
}


function PackagingList(){
  return (
  <div className="list">  
  <ul>

    {initialItems.map(item => <Item item={item} /> )}
  </ul>
  </div>
  )
}

function Item({item}){
  return <li>
    {item.description}
  </li>
}

function Stats(){
  return <footer className="stats"> 💼  You have X Items in your List , and You already Packed X (x%) </footer>
}
export default App;
